Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class Attachment

    java.lang.Object
      hr.tis.mgw.client.message.Attachment

All Implemented Interfaces:
  java.io.Serializable

Deprecated. For library version 2 use MmsPart.

public class Attachment
extends java.lang.Object
implements java.io.Serializable

Encapsulates MMS message attachment data.

See Also:
  `MmsPart`, Serialized Form

Constructor Summary
`Attachment(byte[] bytes, java.lang.String contentType)` Deprecated. Constructor for MMS attachment given as array of bytes with apropriate MIME Content-Type.
`Attachment(byte[] bytes, java.lang.String contentType, java.lang.String contentId, java.lang.String contentLocation)` Deprecated. Constructor for MMS attachment given as array of bytes with apropriate MIME Content-Type.
`Attachment(java.lang.String text, java.lang.String charset)` Deprecated. Convenience constructor for textual attachments.
`Attachment(java.lang.String text, java.lang.String charset, java.lang.String contentId, java.lang.String contentLocation)` Deprecated. Convenience constructor for textual attachments.

Method Summary
`byte[]` | `getBytes()` Deprecated.
`java.lang.String` | `getContentId()` Deprecated.
`java.lang.String` | `getContentLocation()` Deprecated.
`java.lang.String` | `getContentType()` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attachment

    public Attachment(byte[] bytes,
                      java.lang.String contentType)

  Deprecated.
  Constructor for MMS attachment given as array of bytes with apropriate MIME Content-Type.

Parameters:
  `bytes` - content
  `contentType` - Content-Type MIME header value

### Attachment

    public Attachment(byte[] bytes,
                      java.lang.String contentType,
                      java.lang.String contentId,
                      java.lang.String contentLocation)

  Deprecated.
  Constructor for MMS attachment given as array of bytes with apropriate MIME Content-Type. Also allows specifying Content-ID and Content-Location MIME headers.

Parameters:
  `bytes` - content
  `contentType` - Content-Type MIME header value
  `contentId` - Content-ID MIME header value
  `contentLocation` - Content-Location MIME header value

### Attachment

    public Attachment(java.lang.String text,
                      java.lang.String charset)
               throws java.io.UnsupportedEncodingException

  Deprecated.
  Convenience constructor for textual attachments.

Parameters:
  `text` - textual content
  `charset` - character set
Throws:
  `java.io.UnsupportedEncodingException` - thrown if character set is invalid

### Attachment

    public Attachment(java.lang.String text,
                      java.lang.String charset,
                      java.lang.String contentId,
                      java.lang.String contentLocation)
               throws java.io.UnsupportedEncodingException

  Deprecated.
  Convenience constructor for textual attachments. Also allows specifying Content-ID and Content-Location MIME headers.

Parameters:
  `text` - textual content
  `charset` - character set
  `contentId` - Content-ID MIME header value
  `contentLocation` - Content-Location MIME header value
Throws:
  `java.io.UnsupportedEncodingException` - thrown if character set is invalid

Method Detail

### getBytes

    public byte[] getBytes()

  Deprecated.

### getContentType

    public java.lang.String getContentType()

  Deprecated.

### getContentId

    public java.lang.String getContentId()

  Deprecated.

### getContentLocation

    public java.lang.String getContentLocation()

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.